Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.conf
Class ConfigStatus

    java.lang.Object
      org.objectstyle.cayenne.conf.ConfigStatus

    public class ConfigStatus

extends java.lang.Object

Interface defines API to check the status of Cayenne configuration.

Author:
  Andrei Adamchik

Field Summary
`protected java.util.Map` | `failedAdapters`
`protected java.util.Map` | `failedDataSources`
`protected java.util.List` | `failedMapRefs`
`protected java.util.Map` | `failedMaps`
`protected java.util.Map` | `messages`
`protected java.util.List` | `otherFailures`

Constructor Summary
`ConfigStatus()`

Method Summary
`void` | `addFailedAdapter(java.lang.String name, java.lang.String location, java.lang.String extraMessage)`
`void` | `addFailedDataSource(java.lang.String name, java.lang.String location, java.lang.String extraMessage)`
`void` | `addFailedMap(java.lang.String name, java.lang.String location, java.lang.Object extraMessage)`
`void` | `addFailedMapRefs(java.lang.String name, java.lang.String extraMessage)`
`java.lang.String` | `describeFailures()` Returns a String description of failed configuration pieces.
`protected java.lang.String` | `getAdapterMessageKey(java.lang.String name, java.lang.String location)`
`protected java.lang.String` | `getDataSourceMessageKey(java.lang.String name, java.lang.String location)`
`java.util.Map` | `getFailedAdapters()` Returns a map of adapter classes for node names that failed to load.
`java.util.Map` | `getFailedDataSources()` Returns a map of DataSource locations for node names that failed to load.
`java.util.List` | `getFailedMapRefs()` Returns a list of map reference names that failed to load.
`java.util.Map` | `getFailedMaps()` Returns a map of locations for names of the data maps that failed to load.
`protected java.lang.String` | `getMapMessageKey(java.lang.String name, java.lang.String location)`
`protected java.lang.String` | `getMapRefMessageKey(java.lang.String name)`
`java.util.List` | `getOtherFailures()` Returns a list of error messages not directly associated with project objects, such as XML pare exceptions, IOExceptions, etc.
`boolean` | `hasFailures()` Returns true if any of the "failed.." methods return true.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### otherFailures

    protected java.util.List otherFailures

### failedMaps

    protected java.util.Map failedMaps

### failedAdapters

    protected java.util.Map failedAdapters

### failedDataSources

    protected java.util.Map failedDataSources

### failedMapRefs

    protected java.util.List failedMapRefs

### messages

    protected java.util.Map messages

Constructor Detail

### ConfigStatus

    public ConfigStatus()

Method Detail

### addFailedMap

    public void addFailedMap(java.lang.String name,
                             java.lang.String location,
                             java.lang.Object extraMessage)

### addFailedAdapter

    public void addFailedAdapter(java.lang.String name,
                                 java.lang.String location,
                                 java.lang.String extraMessage)

### addFailedDataSource

    public void addFailedDataSource(java.lang.String name,
                                    java.lang.String location,
                                    java.lang.String extraMessage)

### addFailedMapRefs

    public void addFailedMapRefs(java.lang.String name,
                                 java.lang.String extraMessage)

### getMapMessageKey

    protected java.lang.String getMapMessageKey(java.lang.String name,
                                                java.lang.String location)

### getAdapterMessageKey

    protected java.lang.String getAdapterMessageKey(java.lang.String name,
                                                    java.lang.String location)

### getDataSourceMessageKey

    protected java.lang.String getDataSourceMessageKey(java.lang.String name,
                                                       java.lang.String location)

### getMapRefMessageKey

    protected java.lang.String getMapRefMessageKey(java.lang.String name)

### describeFailures

    public java.lang.String describeFailures()

  Returns a String description of failed configuration pieces. Returns a canned "no failures" message if no failures occurred.

### getOtherFailures

    public java.util.List getOtherFailures()

  Returns a list of error messages not directly associated with project objects, such as XML pare exceptions, IOExceptions, etc.

### getFailedMapRefs

    public java.util.List getFailedMapRefs()

  Returns a list of map reference names that failed to load.

### getFailedMaps

    public java.util.Map getFailedMaps()

  Returns a map of locations for names of the data maps that failed to load.

### getFailedDataSources

    public java.util.Map getFailedDataSources()

  Returns a map of DataSource locations for node names that failed to load.

### getFailedAdapters

    public java.util.Map getFailedAdapters()

  Returns a map of adapter classes for node names that failed to load.

### hasFailures

    public boolean hasFailures()

  Returns true if any of the "failed.." methods return true.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.